John John - 1 month ago 11
Swift Question

How to update compiler and rebuild Alamofire

Today I noticed this error on my Xcode project...

Module file was created by an older version of the compiler; rebuild 'Alamofire' and try again:/Users/Shane/Documents/MyProject/MyProect/Carthage/Build/iOS/Alamofire.framework/Modules/Alamofire.swiftmodule/x86_64.swiftmodule


Has anyone else seen this before and/or know how to fix it?

I've already cleaned my project and deleted my Derived Data. Also my Xcode version 7.3

Answer

I found a solution by reinstalling Carthage and then going to my project via the terminal and doing carthage update. After that was done I went back to Xcode and to be safe did a clean, a build folder clean, deleted the derived data folder again, and then built the project.

Comments